/***
*		DurFiltw.h -- ui for Duration Filter tool
*		 1996 Another Option   All rights reserved.
***/

/*
=============================================================================
|   DATE   | WHAT
=============================================================================
 22 Nov 96 | created
 25 Nov 96 | created again
 27 Nov 96 | added res gadgets
 30 Nov 96 | added </> gadget
  1 Dec 96 | new menu; slight gadget juggling
*/

#include "popupnote.h"

/* gadget ids */
#define CC_SWITCH  1
#define OFF        2
#define ON         3
#define GT         4
#define CCMAP      5
#define DUR        6
#define MAX        7
#define MIN        8
#define CC         9
#define ONOFFCC    10
#define RES        11
#define POPUP_DUR  12
#define POPUP_MAX  13
#define POPUP_MIN  14
#define POPUP_RES  15
#define POP_CC     16
#define POP_ON     17

/* border coordinates */
#define BORDER_X1   7
#define BORDER_Y1  58
#define BORDER_X2 314
#define BORDER_Y2 112

static struct Gadget Gadget14 = {
	NULL,
	292,64,
	19,11,
	GADGHBOX+GADGHIMAGE+GADGIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	POP_CC,
	NULL
};

static struct Gadget Gadget13 = {
	&Gadget14,
	292,39,
	19,11,
	GADGHBOX+GADGHIMAGE+GADGIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	BOOLGADGET,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	POP_ON,
	NULL
};

static struct Gadget Gadget15 = {
	&Gadget13,
	292,100,
	19,11,
	GADGHBOX+GADGHIMAGE+GADGIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	(APTR)&PopUpNoteImage,
	NULL,
	NULL,
	NULL,
	NULL,
	POPUP_RES,
	NULL
};

static struct Gadget Gadget12 = {
	&Gadget15,
	292,88,
	19,11,
	GADGHBOX+GADGHIMAGE+GADGIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	(APTR)&PopUpNoteImage,
	NULL,
	NULL,
	NULL,
	NULL,
	POPUP_MIN,
	NULL
};

static struct Gadget Gadget11 = {
	&Gadget12,
	292,76,
	19,11,
	GADGHBOX+GADGHIMAGE+GADGIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	(APTR)&PopUpNoteImage,
	NULL,
	NULL,
	NULL,
	NULL,
	POPUP_MAX,
	NULL
};

static struct Gadget Gadget10 = {
	&Gadget11,
	292,15,
	19,11,
	GADGHBOX+GADGHIMAGE+GADGIMAGE,
	GADGIMMEDIATE,
	BOOLGADGET,
	(APTR)&PopUpNoteImage,
	NULL,
	NULL,
	NULL,
	NULL,
	POPUP_DUR,
	NULL
};

static struct PropInfo Gadget10xSInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	1022,-1,
};

static struct Image Image15x = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText1x = {
	2,0,JAM1,
	-74,0,
	NULL,
	"Quantize:",
	NULL
};

static struct Gadget Gadget10x = {
	&Gadget10,
	84,102,
	133,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image15x,
	NULL,
	&IText1x,
	NULL,
	(APTR)&Gadget10xSInfo,
	RES,
	NULL
};

static struct PropInfo Gadget9SInfo = {
	AUTOKNOB+FREEHORIZ,
	550,-1,
	511,-1,
};

static struct Image Image14 = {
	1,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText1 = {
	2,0,JAM1,
	-34,0,
	NULL,
	"Min:",
	NULL
};

static struct Gadget Gadget9 = {
	&Gadget10x,
	84,90,
	133,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image14,
	NULL,
	&IText1,
	NULL,
	(APTR)&Gadget9SInfo,
	MIN,
	NULL
};

static struct PropInfo Gadget8SInfo = {
	AUTOKNOB+FREEHORIZ,
	515,-1,
	511,-1,
};

static struct Image Image15 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText2 = {
	2,0,JAM1,
	-34,0,
	NULL,
	"Max:",
	NULL
};

static struct Gadget Gadget8 = {
	&Gadget9,
	84,78,
	133,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image15,
	NULL,
	&IText2,
	NULL,
	(APTR)&Gadget8SInfo,
	MAX,
	NULL
};

static struct PropInfo Gadget7SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	5461,-1,
};

static struct Image Image16 = {
	0,0,
	11,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText3 = {
	2,0,JAM1,
	-42,0,
	NULL,
	"CChg:",
	NULL
};

static struct Gadget Gadget7 = {
	&Gadget8,
	84,66,
	133,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image16,
	NULL,
	&IText3,
	NULL,
	(APTR)&Gadget7SInfo,
	CC,
	NULL
};

static struct PropInfo Gadget6SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	5461,-1,
};

static struct Image Image17 = {
	0,0,
	11,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText4 = {
	2,0,JAM2,
	-42,0,
	NULL,
	"CChg:",
	NULL
};

static struct Gadget Gadget6 = {
	&Gadget7,
	84,41,
	133,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image17,
	NULL,
	&IText4,
	NULL,
	(APTR)&Gadget6SInfo,
	ONOFFCC,
	NULL
};

static struct PropInfo Gadget5SInfo = {
	AUTOKNOB+FREEHORIZ,
	0,-1,
	511,-1,
};

static struct Image Image18 = {
	0,0,
	6,3,
	0,
	NULL,
	0x0000,0x0000,
	NULL
};

static struct IntuiText IText5 = {
	2,0,JAM1,
	-74,0,
	NULL,
	"Duration:",
	NULL
};

static struct Gadget Gadget5 = {
	&Gadget6,
	84,16,
	133,7,
	GADGHBOX+GADGHIMAGE,
	RELVERIFY+GADGIMMEDIATE,
	PROPGADGET,
	(APTR)&Image18,
	NULL,
	&IText5,
	NULL,
	(APTR)&Gadget5SInfo,
	DUR,
	NULL
};

static struct IntuiText IText6 = {
	4,0,JAM1,
	2,1,
	NULL,
	"Controller Mapping",
	NULL
};

static struct Gadget Gadget4 = {
	&Gadget5,
	14,53,
	148,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText6,
	NULL,
	NULL,
	CCMAP,
	NULL
};

static struct IntuiText IText7 = {
	4,0,JAM1,
	19,1,
	NULL,
	"On",
	NULL
};

static struct Gadget Gadget3 = {
	&Gadget4,
	256,28,
	53,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText7,
	NULL,
	NULL,
	ON,
	NULL
};

static struct IntuiText IText8 = {
	4,0,JAM1,
	15,1,
	NULL,
	"Off",
	NULL
};

static struct Gadget Gadget2 = {
	&Gadget3,
	198,28,
	53,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText8,
	NULL,
	NULL,
	OFF,
	NULL
};

static struct IntuiText IText10xx = {
	4,0,JAM1,
	21,1,
	NULL,
	"<",
	NULL
};

static struct Gadget Gadget2xx = {
	&Gadget2,
	142,28,
	51,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText10xx,
	NULL,
	NULL,
	GT,
	NULL
};

static struct IntuiText IText9 = {
	4,0,JAM1,
	10,1,
	NULL,
	"CChg",
	NULL
};

static struct Gadget Gadget1 = {
	&Gadget2xx,
	84,28,
	53,9,
	NULL,
	RELVERIFY+TOGGLESELECT,
	BOOLGADGET,
	NULL,
	NULL,
	&IText9,
	NULL,
	NULL,
	CC_SWITCH,
	NULL
};

#define GadgetList1 Gadget1

static struct IntuiText IText12 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Snapshot",
	NULL
};

static struct MenuItem MenuItem12 = {
	NULL,
	0,24,
	179,8,
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText12,
	NULL,
	'S',
	NULL,
	MENUNULL
};

static struct IntuiText IText13 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Free SysEx",
	NULL
};

static struct MenuItem MenuItem11 = {
	&MenuItem12,
	0,16,
	179,8,
	CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText13,
	NULL,
	'F',
	NULL,
	MENUNULL
};

static struct IntuiText IText14 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Use SysEx",
	NULL
};

static struct MenuItem MenuItem10 = {
	&MenuItem11,
	0,8,
	179,8,
	CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText14,
	NULL,
	'U',
	NULL,
	MENUNULL
};

static struct IntuiText IText15 = {
	3,0,JAM1,
	19,0,
	NULL,
	"Show CC Numbers",
	NULL
};

static struct MenuItem MenuItem9 = {
	&MenuItem10,
	0,0,
	179,8,
	CHECKIT+ITEMTEXT+COMMSEQ+MENUTOGGLE+ITEMENABLED+HIGHCOMP,
	0,
	(APTR)&IText15,
	NULL,
	'N',
	NULL,
	MENUNULL
};

static struct Menu Menu3 = {
	NULL,
	0,0,
	120,0,
	MENUENABLED,
	"DurationFilter v1.0  1997 Michael Rees",
	&MenuItem9
};

#define MenuList1 Menu3

static struct IntuiText DurNowIText = {
	2,0,JAM2,
	185,54,
	NULL,
	"Now: ",
	NULL
};

static struct IntuiText IText11 = {
	2,0,JAM2,
	34,29,
	NULL,
	"State:",
	&DurNowIText
};

#define IntuiTextList1 IText11

static struct NewWindow NewWindowStructure1 = {
	199,20,
	322,117,
	0,1,
	GADGETDOWN+GADGETUP+MENUPICK+CLOSEWINDOW,
	WINDOWDRAG+WINDOWDEPTH+WINDOWCLOSE+ACTIVATE+NOCAREREFRESH,
	&Gadget1,
	NULL,
	NULL,
	NULL,
	NULL,
	5,5,
	-1,-1,
	CUSTOMSCREEN
};

#define GCOUNT 5
#define WTITLE "Duration Filter"
